/*
 * Copyright 2005-2010 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.wamblee.io;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * Resource implemention for reading from a file.
 * 
 * @author Erik Brakkee
 */
public class FileResource implements InputResource {
    /**
     * File to read.
     */
    private File file;

    /**
     * Constructs the resource.
     * 
     * @param aFile
     *            File to read.
     */
    public FileResource(File aFile) {
        file = aFile;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.wamblee.io.InputResource#getInputStream()
     */
    public InputStream getInputStream() throws IOException {
        return new BufferedInputStream(new FileInputStream(file));
    }
}
